Subject: bug#17210: 24.3.50; help mode [back] link to a C-h b keybind listing fails with message "Current buffer is not in Help mode"

From: Juri Linkov <[email-masked]>
Date: Tue, 08 Apr 2014 11:32:27 +0300

> It fixes the OP's problem so please check it in.  But when hitting the
> back button you don't get the previous contents.  I suppose we have to
> add the original buffer to the `help-args' of that button, but I leave
> that to Juri.

In the recent discussion at http://thread.gmane.org/gmane.emacs.devel/168353
the idea was to store the previous content in hidden Help buffers
(buffer names starting with a space).

> In any case, the behavior is broken since Emacs 24.3 at least
> (but I suppose it's broken ever since).

For `C-h b' it was broken by design because after killing the initial buffer:

1. C-h b
2. click function name link
3. kill *scratch*
4. click back

clicking on [back] fails with the error "Selecting deleted buffer".